Subject: Re: [PATCH] git-core-foo -> git-foo, except the core package

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 15 Nov 2005 10:38:58 -0800

Josh Boyer wrote:
>>
>>True.  If you have a solution to that, I'd love to hear it.  Note that
>>having the core package depend on everything else is not acceptable.
> 
> %preun section that does rpm -e of the packages it brings in.  But
> that is a hack that would cause some to become violently ill.  Perhaps
> it's an issue not worth worrying about.
> 

%postun, but yes, that sounds pretty sick to me.  The Fedora people 
might disagree, in which case let them lead and we can follow suit.

	-hpa